Create Pique Campaign
curl --request POST \
--url https://api.ubpass.co/v1/pique-campaign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"targetViews": 123,
"platforms": [
"<string>"
],
"deliveredViews": 123,
"contentLink": "<string>",
"submissionNotes": "<string>",
"endDate": "2023-12-25"
}
'import requests
url = "https://api.ubpass.co/v1/pique-campaign"
payload = {
"name": "<string>",
"targetViews": 123,
"platforms": ["<string>"],
"deliveredViews": 123,
"contentLink": "<string>",
"submissionNotes": "<string>",
"endDate": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
targetViews: 123,
platforms: ['<string>'],
deliveredViews: 123,
contentLink: '<string>',
submissionNotes: '<string>',
endDate: '2023-12-25'
})
};
fetch('https://api.ubpass.co/v1/pique-campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdTime": "2025-05-13T15:07:15.036Z",
"updatedTime": "2025-05-13T15:07:15.036Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"workspaceId": "<string>",
"accountId": "<string>",
"name": "<string>",
"startDate": "2023-12-25",
"isPublished": true,
"campaignData": {
"id": "<string>",
"createdTime": "2025-05-13T15:07:15.036Z",
"updatedTime": "2025-05-13T15:07:15.036Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"workspaceId": "<string>",
"campaignId": "<string>",
"totalViews": 123,
"totalClicks": 123,
"totalLikes": 123,
"totalCreators": 123,
"totalComments": 123,
"totalShares": 123,
"totalVideos": 123,
"instagramViews": 123,
"instagramLikes": 123,
"instagramShares": 123,
"instagramComments": 123,
"tiktokViews": 123,
"tiktokLikes": 123,
"tiktokShares": 123,
"tiktokComments": 123,
"assetFolderLink": "<string>",
"rec1": "<string>",
"rec2": "<string>",
"rec3": "<string>",
"rec4": "<string>"
},
"campaignDataFileInfo": {
"fileKey": "<string>",
"fileName": "<string>",
"url": "<string>"
},
"videoPerformanceFileInfo": {
"fileKey": "<string>",
"fileName": "<string>",
"url": "<string>"
},
"platforms": [
"<string>"
],
"targetViews": 123,
"beforeViews": 123,
"afterViews": 123,
"deliveredViews": 123,
"contentLink": "<string>",
"submissionNotes": "<string>",
"endDate": "2023-12-25",
"beforeImage": {
"fileKey": "<string>",
"fileName": "<string>",
"url": "<string>"
},
"afterImage": {
"fileKey": "<string>",
"fileName": "<string>",
"url": "<string>"
}
}{
"txId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"context": {}
}{
"txId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"context": {}
}Pique
Create Pique Campaign
Create a new Pique Campaign with the provided details.
POST
/
pique-campaign
Create Pique Campaign
Authorizations
AccessTokenAPIKey
Bearer token authentication
Headers
Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user
Pattern:
^[a-zA-Z0-9-_]+$Body
application/json
Request body for creating Pique Campaign
Response
Campaign created successfully
The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.
Example:
"2025-05-13T15:07:15.036Z"
The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.
Example:
"2025-05-13T15:07:15.036Z"
The user who created the entity.
The user who last updated the entity.
The ID of the workspace to which this entity belongs.
Available options:
BoostedPost, SyndicatedContent Available options:
Prepping, InProgress, Completed, Paused, NotStarted, Canceled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I